Advertisement
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Php7 weakref error

Comments in 'Plugin Development' started by Valeron, Jan 24, 2016.

Thread Status:
Not open for further replies.
  1. Valeron
    Offline

    Valeron New Member

    Joined:
    Aug 26, 2015
    Posts:
    111
    Minecraft User:
    DarkSpive
    [email protected] pm]# chmod -R 777 /pm/bin/*
    [[email protected] pm]# ./start.sh
    Failed loading /home/php/bin/php7/lib/php/extensions/no-debug-zts-20151012/opcache.so: /home/php/bin/php7/lib/php/extensions/no-debug-zts-20151012/opcache.so: cannot open shared object file: No such file or directory
    04:23:17 [CRITICAL] Unable to find the Weakref extension.
    04:23:17 [CRITICAL] Please use the installer provided on the homepage, or recompile PHP again.



    Idk ,what will i do?
  2. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,294
    Plugins:
    11
    Minecraft User:
    PEMapModder
    Use the installer script by PocketMine, then use the php7 branch on PocketMine/PocketMine-MP
  3. Valeron
    Offline

    Valeron New Member

    Joined:
    Aug 26, 2015
    Posts:
    111
    Minecraft User:
    DarkSpive
    It was pocketmine installer.sh
    And i tried genisus installer.sh
  4. Valeron
    Offline

    Valeron New Member

    Joined:
    Aug 26, 2015
    Posts:
    111
    Minecraft User:
    DarkSpive
    I used script by P.M 4 times.
    Does not works
  5. Valeron
    Offline

    Valeron New Member

    Joined:
    Aug 26, 2015
    Posts:
    111
    Minecraft User:
    DarkSpive
    And 3 times compile.sh
  6. PEMapModder
    Offline

    PEMapModder Notable Member Plugin Developer

    Joined:
    Oct 9, 2013
    Posts:
    7,294
    Plugins:
    11
    Minecraft User:
    PEMapModder
Thread Status:
Not open for further replies.

Share This Page

Advertisement